Bug 204275 - doublequotes in Bengali description strings
doublequotes in Bengali description strings
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mayank Jain
: EasyFix, i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-28 02:03 EDT by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 05:17:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Revised Keymap info file without the double quotes. (1.57 KB, application/octet-stream)
2006-08-28 02:31 EDT, Runa Bhattacharjee
no flags Details
Revised bn_inscript.mim (2.86 KB, text/plain)
2006-08-31 03:01 EDT, Mayank Jain
no flags Details
Revised bn_itrans.mim file (4.66 KB, text/plain)
2006-08-31 03:02 EDT, Mayank Jain
no flags Details
Revised bn_probhat.mim file (2.72 KB, text/plain)
2006-08-31 03:03 EDT, Mayank Jain
no flags Details

  None (edit)
Description Jens Petersen 2006-08-28 02:03:39 EDT
Description of problem:
There are double quotes (") in the Bengali description strings
which breaks them.
Comment 1 Runa Bhattacharjee 2006-08-28 02:31:53 EDT
Created attachment 135026 [details]
Revised Keymap info file without the double quotes.

Attaching the revised version of the keymap file without the double quotes. The
entire file is attached as some information seems missing in the .mim files.
Comment 2 Mayank Jain 2006-08-31 03:01:24 EDT
Created attachment 135264 [details]
Revised bn_inscript.mim
Comment 3 Mayank Jain 2006-08-31 03:02:31 EDT
Created attachment 135265 [details]
Revised bn_itrans.mim file
Comment 4 Mayank Jain 2006-08-31 03:03:19 EDT
Created attachment 135266 [details]
Revised bn_probhat.mim file
Comment 5 Mayank Jain 2006-08-31 05:31:01 EDT
Build sent to RAWHIDE... the changes should reflect in the updated packages. 
QE, can you please check this as soon as updated m17n-db-bengali rpm is 
available :)

Thanks,
Mayank
Comment 6 Nicole Dai 2006-09-29 05:17:54 EDT
Conpared the 
/usr/share/m17n/bn-inscript.mim
/usr/share/m17n/bn-itrans.mim
/usr/share/m17n/bn-probhat.mim
in m17n-db-bengali-1.3.3-27.fc6 with the attached files in Comment #2 (named
bn_inscript.mim_firefox), Comment #3 (named bn_itrans.mim_firefox) and Comment
#4 (named bn_probhat.mim_firefox). The result is as below:
-------------------------------------------------------------
[root@dhcp-0-086 tempmin]# ll
total 40
-rw-r--r-- 1 root root 2921 Sep 29 17:07 bn-inscript.mim
-rw-r--r-- 1 root root 2926 Sep 29 17:09 bn_inscript.mim_firefox
-rw-r--r-- 1 root root 4765 Sep 29 17:08 bn-itrans.mim
-rw-r--r-- 1 root root 4772 Sep 29 17:10 bn_itrans.mim_firefox
-rw-r--r-- 1 root root 2769 Sep 29 17:08 bn-probhat.mim
-rw-r--r-- 1 root root 2784 Sep 29 17:11 bn_probhat.mim_firefox
[root@dhcp-0-086 tempmin]# diff bn-inscript.mim bn_inscript.mim_firefox
6c6
< ;; This file is part of the m17n contrib; a sub-part of the m17n
---
> ;; This file is not part of the m17n database; a sub-part of the m17n
[root@dhcp-0-086 tempmin]# diff bn-itrans.mim bn_itrans.mim_firefox 
6c6
< ;; This file is part of the m17n contrib; a sub-part of the m17n
---
> ;; This file is part of the m17n database; a sub-part of the m17n
38c38
< To write 'Khaanda-ta' (ৎ) use the key combination : t.h
---
> To write 'Khaanda-ta' (ত্‌) use the key combination : t.h
[root@dhcp-0-086 tempmin]# diff bn-probhat.mim bn_probhat.mim_firefox 
4c4
< ;; This file is part of the m17n contrib; a sub-part of the m17n
---
> ;; This file is not yet part of the m17n database; a sub-part of the m17n
58c58
<   ("*" "ৎ")
---
>   ("*" "ত্‌")
-------------------------------------------------------------

Confirmed that the bug has been fixed.

Note You need to log in before you can comment on or make changes to this bug.